# indexEntry Struct Reference

`#include <header_internal.h>`

## Data Fields

entryInfo | info
void * | data
int | length
int | rdlen

## Field Documentation

void* indexEntry::data

| Location of tag data. Definition at line 46 of file header_internal.h. Referenced by copyEntry(), headerDump(), headerFindI18NString(), offsetCmp(), and regionSwab().

struct entryInfo indexEntry::info

| Description of tag data. Definition at line 45 of file header_internal.h. Referenced by copyEntry(), findEntry(), headerDump(), headerFindI18NString(), indexCmp(), intGetEntry(), offsetCmp(), and regionSwab().

int indexEntry::length

| No. bytes of data. Definition at line 47 of file header_internal.h. Referenced by copyEntry(), and regionSwab().

int indexEntry::rdlen

| No. bytes of data in region. Definition at line 48 of file header_internal.h. Referenced by copyEntry(), and regionSwab().

The documentation for this struct was generated from the following file:

- lib/header_internal.h